Subject: Re: [bug#58624] [PATCH v2] guix gc: Add '--vacuum-database'.
From: Efraim Flashner <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sun, 6 Nov 2022 14:04:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Nov 03, 2022 at 05:20:24PM +0100, Christopher Baines wrote:
> 
> Efraim Flashner <[email-masked]> writes:
> 
> > * guix/scripts/gc.scm (show-help, %options): Add '--vacuum-database'.
> > * guix/store/database.scm (vacuum-database): New procedure.
> > * doc/guix.texi (Invoking guix gc): Document the option.
> > ---
> >  doc/guix.texi           | 12 ++++++++++++
> >  guix/scripts/gc.scm     | 11 +++++++++++
> >  guix/store/database.scm |  9 ++++++++-
> >  3 files changed, 31 insertions(+), 1 deletion(-)
> 
> I haven't tried this out, but it sounds good to me +1.

Thanks. In the documentation I used overtime vs 'over time' and I had a
double period at the end of the last sentence, which I cleaned up before
pushing.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted